package clews.data;

public class AssociationEnd {

	private int min, max;
	public clews.data.Class assclass;
	public AssociationAttribute type;
	public Association assoc;
	public AssociationEnd other;
	
	public AssociationEnd(Association a, AssociationAttribute t, int mi, int ma, clews.data.Class c)
	{
		type = t;
		min = mi;
		max = ma;
		assclass = c;
		assoc = a;
	}
	
	public void setOther(AssociationEnd ae)
	{
		other = ae;
	}
	
	public AssociationEnd getOther()
	{
		return other;
	}
	
	public void setMinMax(int mi, int ma)
	{
		min = mi;
		max = ma;
	}
	
	public int getMin()
	{
		return min;
	}
	
	public int getMax()
	{
		return max;
	}
	
	public int getConstrainedMax()
	{
		if (assoc.getLeft() == this)
			return assoc.getConstrainedMaxLeft();
		else
			return assoc.getConstrainedMaxRight();
	}
}
