package clews.gui.diagram;

import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.geom.AffineTransform;

public interface AnyDiagram 
extends MouseListener, MouseMotionListener
{
	public void draw(Graphics2D g);
	public AffineTransform getTransform();
	public void setTransform(AffineTransform at);	
	public AffineTransform getInverseTransform();	
	public boolean hasSelection();
	public boolean isOverObject();
	public void clearSelection();
	public void clearDragList();
	public void select(Rectangle r);
	public void applyChanges();
	public Dimension setUpPrint();
	public AffineTransform getPrintShift();
	public String getName();
}
