package clews.data;


import java.util.ArrayList;

import clews.gui.view.LinkView;

public class Link
extends DataObject<LinkView>
{
	protected Instance left, right;	
	protected Configuration config;
	protected String description;
	
	public Link(Configuration c, Instance i1, Instance i2)
	{
		left = i1;
		right = i2;
		config = c;
		description = "";
	}
	
	public String getDescription(){
		return description;
	}
	
	public void setDescription(String desc){
		description = desc;
	}
	
	public Configuration getConfiguration()
	{
		return config;
	}
	
	public Instance getLeft()
	{
		return left;
	}
	
	public Instance getRight()
	{
		return right;
	}
	
	public ArrayList<Instance> getInstances()
	{
		ArrayList<Instance> ret = new ArrayList<Instance>();
		ret.add(left);
		ret.add(right);
		return ret;
	}
}
